# See end of file for licensing information

package AppLib::Interface::Page;

# The AppLib::Interface::Page provides an interface to page like objects,
# templates etc. Things which create HTML content and do something with it.

# The first version has a limited set of required functions.

# Constructor is implementation specific
sub new { $_[0]->_notImplemented( 'new' ) }

# The display method should render the page and print to STDOUT
sub display { $_[0]->_notImplemented( 'display' ) }

1;

__END__

# Copyright (C) 2000-2002 Adam Kennedy ( software.applib@ali.as )
#
# This library is free software; you can redistribute it and/or
# modify it under the terms of the GNU Lesser General Public
# License as published by the Free Software Foundation; either
# version 2.1 of the License, or (at your option) any later version.
#
# This library is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
# Lesser General Public License for more details.
#
# You should have received a copy of the GNU Lesser General Public
# License along with this library; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
#
# Should you wish to utilise this software under a different licence, 
# please contact the author.

